# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

Generated by [`auto-changelog`](https://github.com/CookPete/auto-changelog).

## [Unreleased](https://git.milhit.ch/igor/portfoligor/compare/v0.2.0...HEAD)

### Fixed

- theme: improve spacings [`#38`](https://git.milhit.ch/igor/portfoligor/issues/38)
- picocss: implement the pico css framework [`#29`](https://git.milhit.ch/igor/portfoligor/issues/29) [`#15`](https://git.milhit.ch/igor/portfoligor/issues/15) [`#16`](https://git.milhit.ch/igor/portfoligor/issues/16)
- i18n: extract, translate strings to be translated [`#18`](https://git.milhit.ch/igor/portfoligor/issues/18)
- style: add a stylesheet for printing [`#28`](https://git.milhit.ch/igor/portfoligor/issues/28)

### Commits

- rss: add an updated date [`a5ee40a`](https://git.milhit.ch/igor/portfoligor/commit/a5ee40adb7d5530e6b2a912348910cbc743c163b)
- layouts: update author metadata [`75086bc`](https://git.milhit.ch/igor/portfoligor/commit/75086bc831a5c1273f8fcbb400a9d07d07e6e592)
- layouts: move `.Site` (deprecated) to `hugo` [`91837de`](https://git.milhit.ch/igor/portfoligor/commit/91837de4f73f55bfde1947382daeee32bf0195fd)
- documentation: update the README to new git repo [`282b6bc`](https://git.milhit.ch/igor/portfoligor/commit/282b6bcd85b9843eab18190ac5cb808624358e8c)
- gitInfo: configuration of the git repository [`1aaa6b0`](https://git.milhit.ch/igor/portfoligor/commit/1aaa6b02b5cab985ffc3e66aaceeeb91fd8bf134)
- scss: improve the `verse` text layout [`989343e`](https://git.milhit.ch/igor/portfoligor/commit/989343ea597de5d892530e70b038dff1e6a69511)
- post image: get the image in the atom xml file [`0c21f00`](https://git.milhit.ch/igor/portfoligor/commit/0c21f00b671865f392a27a156b7d036fb7e3949e)
- dependencies: add picocss as a dependency [`c2ac1f5`](https://git.milhit.ch/igor/portfoligor/commit/c2ac1f5ed1a583477245f72e6acdd01c627e3918)
- text: set font style to em nested in blockquote [`e78fd96`](https://git.milhit.ch/igor/portfoligor/commit/e78fd961ae14a4b69e181f8c199ea002d2691404)
- text: style the new citation block [`40da59a`](https://git.milhit.ch/igor/portfoligor/commit/40da59a1eb073f231087ee133397e649ee2bf552)
- homepage: move the CV file to the personal data [`7a2aa2d`](https://git.milhit.ch/igor/portfoligor/commit/7a2aa2d1a9f5e1951cf7977e662888af4db33da9)
- layout: fix medias integration [`a7c87c9`](https://git.milhit.ch/igor/portfoligor/commit/a7c87c947f1ca9ed56b38dd40091484ebae3c742)

## [v0.2.0](https://git.milhit.ch/igor/portfoligor/compare/0.1.1...v0.2.0) - 2021-11-03

### Fixed

- documentation: fill in the README [`#6`](https://git.milhit.ch/igor/portfoligor/issues/6)
- theme: simplify the main layout [`#8`](https://git.milhit.ch/igor/portfoligor/issues/8)
- layouts: use details for the post informations [`#17`](https://git.milhit.ch/igor/portfoligor/issues/17)
- data: sort terms in post information [`#13`](https://git.milhit.ch/igor/portfoligor/issues/13)
- style: Implements nord color scheme [`#7`](https://git.milhit.ch/igor/portfoligor/issues/7)

### Commits

- release: v0.2.0 [`64c93b7`](https://git.milhit.ch/igor/portfoligor/commit/64c93b72d6522ab6ce1ebec42ee81e0809f8cb17)
- header: restore and adapt the avatar image [`ad3ee27`](https://git.milhit.ch/igor/portfoligor/commit/ad3ee27f0a2391cd0ae3893da238c86e9ed26feb)
- colors: move the visited property up the others [`07d9577`](https://git.milhit.ch/igor/portfoligor/commit/07d9577e8cbeaf7710833e6267148cabff837cc4)
- colors: colorizes the link on hover [`52a8e25`](https://git.milhit.ch/igor/portfoligor/commit/52a8e251f9bcee37de941010bd2715125116deaa)
- menu: improve the menu [`c0f6de2`](https://git.milhit.ch/igor/portfoligor/commit/c0f6de2ab1977de839ade035c4d60596e3cea331)
- post: display the postimage if it exists [`7bba092`](https://git.milhit.ch/igor/portfoligor/commit/7bba092f68488116a7b010ee4bdddd7c1cbee071)
- head: improve the metadata exposed [`e7de77b`](https://git.milhit.ch/igor/portfoligor/commit/e7de77b3ad3f67c1833bdc3030cad034e5d0d5c6)
- content: improve verses layout for small screens [`029a3ac`](https://git.milhit.ch/igor/portfoligor/commit/029a3ac1745580c999b75ae6fd9b68e520514a91)
- footer: add link to the last commit [`0190c23`](https://git.milhit.ch/igor/portfoligor/commit/0190c233e9eb54638ddddf9cccb87405391b3c7b)
- list: fix date variable on the lists and sections [`36a334c`](https://git.milhit.ch/igor/portfoligor/commit/36a334cab9d4e2bf746214571287d35a29bdf6eb)
- shortcodes: adds an audio player with album cover [`e1cf918`](https://git.milhit.ch/igor/portfoligor/commit/e1cf9185f3f7c3cba4e97c6b2371fb9a465017da)
- head: add a favicon [`e56fddc`](https://git.milhit.ch/igor/portfoligor/commit/e56fddc6e0c15bb6839c9cfc6277df5eb8f46d03)
- layout: improve post info in single or list pages [`8177560`](https://git.milhit.ch/igor/portfoligor/commit/817756034b5c3338ea47a2108780ba0b7f47e383)

## [0.1.1](https://git.milhit.ch/igor/portfoligor/compare/0.1.0...0.1.1) - 2020-06-01

### Fixed

- RSS: Improves the RSS template [`#9`](https://git.milhit.ch/igor/portfoligor/issues/9)
- layout: improve list of post taxonomy terms [`#10`](https://git.milhit.ch/igor/portfoligor/issues/10)

### Commits

- documentation: add a changelog and auto-changelog [`31b27df`](https://git.milhit.ch/igor/portfoligor/commit/31b27df95ffcab2b5857fa63346e6a8a6998b5d1)
- lists: sort list by reverse publication date [`920fe4d`](https://git.milhit.ch/igor/portfoligor/commit/920fe4d1566b9755b2551854a6042beec8f8905a)

## 0.1.0 - 2020-05-23

### Fixed

- template: add metadata to the html head [`#3`](https://git.milhit.ch/igor/portfoligor/issues/3)
- template: compare lastmod and publishdate [`#5`](https://git.milhit.ch/igor/portfoligor/issues/5)
- style: fix wrong flex property for the main nav [`#4`](https://git.milhit.ch/igor/portfoligor/issues/4)
- shorcodes: add a smallcaps shotcode [`#1`](https://git.milhit.ch/igor/portfoligor/issues/1)

### Commits

- shortcodes: improve smallcaps shortcodes [`c6ea77b`](https://git.milhit.ch/igor/portfoligor/commit/c6ea77b4293986ac430d8ce35513207126478b2e)
- shortcodes: add audio shortcode for external src [`21d0ca2`](https://git.milhit.ch/igor/portfoligor/commit/21d0ca2e200bfd79c23f71b5476fcd21e7f090b6)
- shortcodes: add shortcodes for audio & streaming [`9f142a2`](https://git.milhit.ch/igor/portfoligor/commit/9f142a22b4ef12326d11f77a59e670bad85373e8)
- fonts: set the line height for content [`74abde3`](https://git.milhit.ch/igor/portfoligor/commit/74abde3ad20af531d26ebf544f60be9b6a3ce1d1)
- post info: improve punctuation and space usage [`9fb6836`](https://git.milhit.ch/igor/portfoligor/commit/9fb6836788489518b0a5bb39dd36e58e9fff94ff)
- navigation: add a RSS link [`84a2435`](https://git.milhit.ch/igor/portfoligor/commit/84a2435161b04ccf8fdf498591f0878ba8646edb)
- section: improve sections, lists and navigation [`c44eb75`](https://git.milhit.ch/igor/portfoligor/commit/c44eb759f0270e1c6938b8b50ec5ad10e1fa783f)
- style: start using SASS and assets [`a7a017b`](https://git.milhit.ch/igor/portfoligor/commit/a7a017b68a0719b2d21f6315729dc6f2e377b620)
- page: deactivate pagination [`cabdffa`](https://git.milhit.ch/igor/portfoligor/commit/cabdffa8ac38c9ad4c0aba8716e8bd4bdaa0b57b)
- RSS: update template with regular page variable [`8fb2022`](https://git.milhit.ch/igor/portfoligor/commit/8fb20228e9fd0e9902009ff9b2989a4d620367da)
- documentation: clean the theme.toml file [`0077387`](https://git.milhit.ch/igor/portfoligor/commit/00773873a2658638eb651916aed8300a2c84a6f9)
- layout: improve taxonomies pages [`b5dc649`](https://git.milhit.ch/igor/portfoligor/commit/b5dc64935a0fd69afdae9980feac1151e07e8b99)
- style: add rules for figure tag [`09fbaa0`](https://git.milhit.ch/igor/portfoligor/commit/09fbaa06f90ddbd0ec75424e7c0e7130dc32aefb)
- layout: improve dates logic [`74181ec`](https://git.milhit.ch/igor/portfoligor/commit/74181ecd54e27a892faf8ef0739ee175ad207ffd)
- style: set overflow to auto for pre tag [`f3189b4`](https://git.milhit.ch/igor/portfoligor/commit/f3189b44787d58fac71c286257ce34ed9df60301)
- layout: improve date displayed [`55dadc7`](https://git.milhit.ch/igor/portfoligor/commit/55dadc702cbe691c63ad12f48d03a489cd862169)
- layout: add a partial for blog post data [`02d6d2f`](https://git.milhit.ch/igor/portfoligor/commit/02d6d2f08623ed894085ee4f0594c383fba9c167)
- layout: remove the base href [`38566ba`](https://git.milhit.ch/igor/portfoligor/commit/38566ba1064dc94f9cc641ba8f5094015ed43d24)
- style: add rules for code and footnotes [`e27f8a9`](https://git.milhit.ch/igor/portfoligor/commit/e27f8a9d46843146a603c581766bd8fd13b6e4f6)
- rss: add the default rss template [`f0549ca`](https://git.milhit.ch/igor/portfoligor/commit/f0549ca0dd276be6a0d4a856944e063fb8b23373)
- layout: set the viewport meta tag [`2c7e6cf`](https://git.milhit.ch/igor/portfoligor/commit/2c7e6cf2d716edd0fda6881375ce76ff0b137f7e)
- style: add minimal stylesheet rules [`909c3ca`](https://git.milhit.ch/igor/portfoligor/commit/909c3caa9717faa009c85e815309d129228bcd71)
- layout: display basic taxonomies information [`4477b30`](https://git.milhit.ch/igor/portfoligor/commit/4477b3033ee9ada7eb3fb89f2ded351a2b16f1bb)
- layout: add default and partials [`498a724`](https://git.milhit.ch/igor/portfoligor/commit/498a724195695c837eb31d612df0d0365a9a6e1b)
- homepage: structure the homepage content [`9b7e39a`](https://git.milhit.ch/igor/portfoligor/commit/9b7e39acd22202b39c1988dd5db8e73e281796a0)
- homepage: personnal data [`788c7c6`](https://git.milhit.ch/igor/portfoligor/commit/788c7c621bba53a0bff03441518bc43259a09d3c)
- theme: initialize new hugo theme [`3b7347c`](https://git.milhit.ch/igor/portfoligor/commit/3b7347cdee8d2a7bf5fa1a412bdb15ea906dd0c3)
